Developer API Documentation

Use your API Key (X-API-KEY header) to access our AI Evaluation, GEO Optimization, and Security Diagnostic engines directly.

Authentication

All requests require the X-API-KEY header. You can generate and copy your API key from the Account Settings profile modal.

Endpoints

POST /api/v1/analyze/showcase

Evaluates an AI agent's business value and returns an AI Score (0-100), HRA index, and detailed feedback.

curl -X POST https://mynativeagent.com/api/v1/analyze/showcase \
  -H "X-API-KEY: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{"targetUrl": "https://example.com"}'

POST /api/v1/analyze/geo

Diagnoses the target website for Generative Engine Optimization (GEO) and returns optimized HTML code.

curl -X POST https://mynativeagent.com/api/v1/analyze/geo \
  -H "X-API-KEY: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{"targetUrl": "https://example.com"}'

POST /api/v1/analyze/security

Analyzes frontend vulnerabilities and suggests anti-hacking security patches.

curl -X POST https://mynativeagent.com/api/v1/analyze/security \
  -H "X-API-KEY: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{"targetUrl": "https://example.com"}'

Model Context Protocol (MCP)

MY NATIVE AGENT provides an MCP Server to integrate directly with AI IDEs like Cursor or Windsurf, and Claude Desktop.

{
  "mcpServers": {
    "mynative-agent": {
      "command": "npx",
      "args": ["-y", "mcp-mynative-agent"],
      "env": {
        "MYNATIVE_API_KEY": "your_api_key_here"
      }
    }
  }
}

SSE Connection Endpoint: https://mynativeagent.com/mcp